<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        // Переименуем роли:
        \DB::table('roles')->where('name', 'Районный менеджер')
            ->update(['name' => 'Менеджер группы']);
        \DB::table('roles')->where('name', 'Оператор')
            ->update(['name' => 'Менеджер подгруппы']);

        // Добавим новую роль «Учетчик»:
        \DB::table('roles')->insert([
            'name'       => 'Учетчик',
            'created_at' => now(),
            'updated_at' => now(),
        ]);
    }

    public function down()
    {
        \DB::table('roles')->where('name', 'Менеджер группы')
            ->update(['name' => 'Районный менеджер']);
        \DB::table('roles')->where('name', 'Менеджер подгруппы')
            ->update(['name' => 'Оператор']);
        \DB::table('roles')->where('name', 'Учетчик')->delete();
    }
};
